# Describing Workload (gearman_work_t)

## SYNOPSIS

#include <libgearman/gearman.h>

type gearman_work_t

type gearman_job_priority_t

gearman_work_t gearman_work(gearman_job_priority_t priority)

gearman_work_t gearman_work_epoch(time_t epoch, gearman_job_priority_t priority)

gearman_work_t gearman_work_background(gearman_job_priority_t priority)

Compile and link with -lgearman

## DESCRIPTION

`gearman_work_t` describe work for `gearman_execute()`.

`gearman_work()` creates a `gearman_work_t` with a priority.

`gearman_work_epoch()` creates a `gearman_work_t` which tells `gearman_execute()` to execute the workload at the time specified by epoch.

`gearman_work_background()` creates a `gearman_work_t` which tells `gearman_execute()` to execute the workload as a background job.

## SEE ALSO

gearmand(8) libgearman(3) gearman_execute()